{% extends 'base.html' %}

{% block title %}
    Scrumptious recipes
{% endblock title %}

{% block content %}
    <header>
        <nav>
            <a href="{% url "recipe_list" %}" class="Main">Main page</a>
            <a href="{% url "create_recipe" %}" class="Main">Create a Recipe</a>

            {% if user.is_authenticated %}
                <p class="Main Header">Hello, {{user.first_name}}</p>
                <a href="{% url 'my_recipe_list' %}" class="Main">My Recipes</a>
                <a href={% url 'user_logout' %} class="Main">Logout</a>
            {% else %}
                <a href="{% url 'my_recipe_list' %}" class="Main">My Recipes</a>
                <a href={% url 'signup' %} class="Main">Sign Up</a>
                <a href={% url 'user_login' %} class="Main">Login</a>
            {% endif %}
        </nav>
    </header>
    <main>
        <h1>Scrumptious Recipes</h1>
        <h2>All the food that's fit to eat</h2>
        <div class="veggies">
            {% for recipe in recipe_list %}
            <div>
                <h3>
                    <a href="{% url "show_recipe" recipe.id %}">{{recipe.title}}</a>
                    <p>created: {{recipe.created_on|date:"j F Y"}}</p>
                </h3>

                <img src="{{recipe.picture}}">
                <div>4.3 stars</div>
            </div>
            {% empty %}
                <p>There are no recipes.</p>
            {% endfor %}
        </div>
    </main>
{% endblock content %}
